%if 0%{?rhel} <= 6
%{!?_licensedir:%global license %doc}
%endif


Name:		entr
Version:	3.6
Release:	5%{?dist}
Summary:	Run arbitrary commands when files change

Group:		Development/Tools
# The entire source code is ISC except missing/sys/event.h which is BSD
License:	ISC and BSD
URL:		http://entrproject.org/
Source0:	http://entrproject.org/code/%{name}-%{version}.tar.gz


%description
A utility for running arbitrary commands when files change. Uses inotify to
avoid polling. It was written to make rapid feedback and automated testing
natural and completely ordinary.


%prep
%setup -q -c -T
# Upstream tarball contains git hash in name of unpacked directory. This is
# unpacked setup macro with added --strip-components option.
tar -x --strip-components=1 -f %{SOURCE0}
STATUS=$?
if [ $STATUS -ne 0 ]; then
  exit $STATUS
fi
chmod -Rf a+rX,u+w,g-w,o-w .


%build
# This raises a warning with rpmlint, but since this is not autotools
# configure, the suggested argument would not do anything.
./configure
make %{?_smp_mflags} CFLAGS="%{?optflags}"


%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} install


%check
make test


%files
%doc NEWS README.md
%license LICENSE
%{_bindir}/entr
%{_mandir}/man1/entr.1.gz



%changelog
* Tue Aug 09 2016 Lubomír Sedlář <lsedlar@redhat.com> - 3.6-5
- Update licensing information in spec

* Wed Aug 03 2016 Lubomír Sedlář <lsedlar@redhat.com> - 3.6-4
- Add optflags

* Tue Jul 19 2016 Lubomír Sedlář <lsedlar@redhat.com> - 3.6-3
- Install license and news files

* Tue Jul 19 2016 Lubomír Sedlář <lsedlar@redhat.com> - 3.6-2
- New upstream release

* Thu Apr 14 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 3.5-1
- New upstream release
- Removed contrib/*
- Detect new subdirectories on Linux
- Direct users to http://entrproject.org/limits.html if inotify hits a kernel limit
